'' Spin Hexagon P2 platform definitions

'' For mono output, set audioRight to -1
audioLeft     = 8+6
audioRight    = 8+7

'' If you don't have SNES controller port, set these to -1
SNES_CLK      = -1
SNES_LATCH    = -1
SNES_PLAYER1  = -1


'' P2 EVAL control board basepin. Set to -1 if not used
CONTROLACC_BASEPIN = -1

'' USB Keyboard/mouse. Set to -1 if not used
  USB0_BASEPIN = 16             ' USB port0/port1 pin block
  NEXT_BASEPIN = 4              ' Add to BASEPIN for next USB port pin
' EVENT_PIN    = BASEPIN        ' BASEPIN is also the EVENT repository
' ACTIVITY_LED = BASEPIN        ' and the port activity LED
  ENABLE_PIN   = 1              ' USB object enables port voltage protection
  DM_PIN       = 2              ' Add to BASEPIN
' DP_PIN       = BASEPIN + 3    ' DP is always DM_PIN + 1
' P2 Eval board user LEDs (active low) lit if an USB port has a fatal error:
  USB0_ERROR_LED    = 56


VIDEO_BASEPIN = 8
VIDEO_VSYNC   = VIDEO_BASEPIN+4 ' only for VGA

'{ Uncomment for VGA output
VIDEO_TYPE       = video.VGA
VIDEO_RESOLUTION = video.RES_1024x768 ' video resolutions. Not all options from p2videodrv work properly. Set to zero for 240p SDTV!
VIDEO_PAL        = false
'}
{ Uncomment for TV output
VIDEO_TYPE       = video.SVIDEO_CVBS
VIDEO_RESOLUTION = 0  'Set to zero for 240p SDTV!
VIDEO_PAL        = false ' use PAL60 instead of NTSC.
'}

'' SD card
SD_DO = 54
SD_CLK = 55
SD_DI = 56
SD_SELECT = 57

OBJ video = "p2videodrv.spin2"
